## ros-humble-naoqi-driver 2.1.1

=== debian/changelog ===
ros-humble-naoqi-driver (2.1.1-1bookworm) bookworm; urgency=high

  * Drop testing of foxy and galactic
  * README: remove extraneous args in example
  * Update code and instructions about Docker
  * Fix build for humble
  * Improve README about audio service
  * Contributors: Victor Paléologue

 -- Victor Paléologue <victor.paleologue@palaio.eu>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-naoqi-driver (2.1.0-1bookworm) bookworm; urgency=high

  * New "Listen" action
  * Remove usages of BOOST_FOREACH
  * New qi_listen_url option and update README
  * Track ros2 branch of nao_meshes
  * Get odom at the same time as joint states
  * No need to register the driver as a NAOqi service
  * Simplify starting and stopping the node
    An extra thread is not required anymore to run the ROS loop.
  * Safer unsubscription from ALMemory
  * Switch to NAOqi 2 subscribers for touch events
  * Fix build warnings
    * libqi-related warningsUse .value() when getting a Qi service
    
      * Fix lack of return value in camera.cpp
      * Fix deprecated include to image_transport.h
      * Remove unused mentions to behavior trees
    
  * Better error messages
    * Transform computation
  * Experimental running the driver and for dev
    Adapted from https://github.com/sea-bass/turtlebot3_behavior_demos
  * Support NAOqi 2.8 (NAO v6)
    * Repair audio
  * Support for humble & iron
    * RViz files converted to RViz2 ones
    * Update use of placeholders
    * Update robot description code
    * Remove mentions to catkin
  * Update README:
    * New details about building meshes
    * How to build from source now
  * Remove dependence to orocos-kdl
  * Contributors: Maxime Busy, Victor Paleologue, Victor Paléologue

 -- Victor Paléologue <victor.paleologue@palaio.eu>  Wed, 22 Nov 2023 16:00:00 -0000

ros-humble-naoqi-driver (2.0.0-1bookworm) bookworm; urgency=high

  * Update README, add buildfarm status badges
  * Fix typos in README, update username arg in launchfile
  * Merge branch 'ros2_integration' into main
  * Remove old README
  * Migrate Travis CI to github actions, remove spurious README
  * Update the package version, add a README.md
  * Initial commit
  * Fix robot_state_publisher header import
  * Merge branch 'naoqi-2.9' into ros2_integration
  * Merge branch 'temp_tests' into naoqi-2.9
  * Correct include towards ros_helper, and small functional updates
  * Refactor the converters for NAOqi 2.9 compatibility
  * Refactor the audio event for NAOqi 2.9 compatibility
  * Add the NaoqiVersion struct
  * Add the getNaoqiVersion and isNaoqiVersionLesser methods, refactor the getInfoRobotLocal method
  * Update the package definition and its CMakeLists
  * Fix the Driver class
  * Fix the subscribers
  * Fix the services
  * Fix the recorders
  * Fix the publishers
  * Fix the helpers
  * Fix the events
  * Fix the converters
  * Fix project headers
  * Merge pull request #10 <https://github.com/ros-naoqi/naoqi_driver2/issues/10> from arturocuma/subscriber_refactoring
    Subscriber refactoring
  * Merge pull request #9 <https://github.com/ros-naoqi/naoqi_driver2/issues/9> from mcaniot/publishers_refactoring
    Publishers refactoring
  * Merge pull request #8 <https://github.com/ros-naoqi/naoqi_driver2/issues/8> from elagrue/event_refactoring
    Event refactoring
  * Merge pull request #7 <https://github.com/ros-naoqi/naoqi_driver2/issues/7> from mbusy/converters_refactoring
    Converters refactoring
  * Merge pull request #6 <https://github.com/ros-naoqi/naoqi_driver2/issues/6> from mbusy/migration_helpers
    Migration helpers
  * Merge pull request #5 <https://github.com/ros-naoqi/naoqi_driver2/issues/5> from mbusy/driver_refactoring
    Driver refactoring
  * Merge pull request #4 <https://github.com/ros-naoqi/naoqi_driver2/issues/4> from mbusy/services_refactoring
    Services refactoring
  * Merge pull request #3 <https://github.com/ros-naoqi/naoqi_driver2/issues/3> from mbusy/helpers_refactoring
    Helpers refactoring
  * Merge pull request #2 <https://github.com/ros-naoqi/naoqi_driver2/issues/2> from mbusy/recorders_refactoring
    Recorders refactoring
  * Merge pull request #1 <https://github.com/ros-naoqi/naoqi_driver2/issues/1> from mbusy/interface_headers
    Interface headers
  * adding const at speech_callback
  * changing ConstSharedPtr to ConstSharedPtr&
  * pull request changes
  * refactor teleop subscriber for geometry_msgs, naoqi_bridge_msgs compliancy
  * refactor speech subscriber for rclcpp, std_msgs compliancy
  * refactor moveto for rclcpp, geometry_msgs compliancy
  * Fix Refactor sonar publisher
    replace it by (*it)
  * Fix Refactor camera publisher
    replace create_publisher by create_camera_publisher
  * Event refactoring minor bugfix
  * Fix Refactor sonar publisher
    replace Publisher with Publisher<sensor_msgs::msg::Range>::SharedPtr
    replace publishers::getNumSubscribers by Node::count_subscribers
    use clear() function to reset vector pubs_
    replace . by ->
  * Fix Refactor log publisher
    remove header serialization.h
    replace Publisher by Publisher<rcl_interfaces::msg::Log>::SharedPtr
  * Fix helpers called function
    replace getNumSubscribers by count_subscribers
  * Fix Refactor joint_state publisher
    replace rclcpp::Publisher by rclcpp::Publisher<sensor_msgs::msg::JointState>::SharedPtr
    replace . by ->
  * Fix Refactor Info
    remove unnecessary parameters
    replace StringStamped by string_stamped
  * Fix Refactor Camera publisher
    Add note above commented code
    remove unused header
    replace helpers::pulishers by helpers::Node
  * Fix Refactor basic publisher
    replace rclcpp::Publisher by rclcpp::Publisher<T>::SharedPtr
  * Fix Refactor basic publisher
    replace helpers::publishers by helper::Node
  * Specify the IP address when calling the stopRecord method in the Driver class
  * Remove the Master URI related methods in ros_env.hpp
  * Fix include names for the driver_helpers header

